bcr_test_module:
  module_path: "tests"
  matrix:
    linux_platform: ["ubuntu2004", "ubuntu2204", "ubuntu2404"]
    macos_platform: ["macos_arm64"]
    bazel: ["7.x", "8.x"]
  tasks:
    linux_test:
      name: "Run test module"
      platform: ${{ linux_platform }}
      bazel: ${{ bazel }}
      test_targets:
      - "//..."
      test_flags:
      - "--verbose_failures"
    macos_test:
      name: "Run test module"
      platform: ${{ macos_platform }}
      xcode_version: "16.4"
      bazel: ${{ bazel }}
      test_targets:
      - "//..."
      test_flags:
      - "--verbose_failures"
